import 'package:domain/generated/json/base/json_convert_content.dart';
import 'package:domain/entity/server_time.dart';

ServerTime $ServerTimeFromJson(Map<String, dynamic> json) {
  final ServerTime serverTime = ServerTime();
  final int? timestamps = jsonConvert.convert<int>(json['timestamps']);
  if (timestamps != null) {
    serverTime.timestamps = timestamps;
  }
  return serverTime;
}

Map<String, dynamic> $ServerTimeToJson(ServerTime entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['timestamps'] = entity.timestamps;
  return data;
}

extension ServerTimeExtension on ServerTime {
  ServerTime copyWith({
    int? timestamps,
  }) {
    return ServerTime()
      ..timestamps = timestamps ?? this.timestamps;
  }
}